# Uses of Enum Class
com.ocient.protocol.PerformanceMode

Packages that use PerformanceMode
Package
Description
com.ocient.protocol

## Uses of PerformanceMode in com.ocient.protocol

Methods in com.ocient.protocol that return PerformanceMode
Modifier and Type
Method
Description
`static PerformanceMode`
PerformanceMode.`get()`
Returns the globally configured `PerformanceMode`.
`static PerformanceMode`
PerformanceMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PerformanceMode[]`
PerformanceMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.protocol with parameters of type PerformanceMode
Modifier and Type
Method
Description
`static void`
PerformanceMode.`set(PerformanceMode performanceMode)`
Sets the globally configured `PerformanceMode` for query execution.